# Class MathAccentCharacter

#### Hierarchy (view full)

- XmlComponent
  - MathAccentCharacter

- Defined in file/paragraph/math/n-ary/math-accent-character.ts:8

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new MathAccentCharacter(accent): MathAccentCharacter

- #### Parameters

  - accent: string

  #### Returns MathAccentCharacter

  Overrides XmlComponent.constructor

  - Defined in file/paragraph/math/n-ary/math-accent-character.ts:9

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - child: string | XmlComponent

  #### Returns XmlComponent

  #### Deprecated

  Do not use this method. It is only used internally by the library. It will be removed in a future version.

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:48

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc